{
  "aggMode" : "NONE",
  "codeName" : "InternalFunc",
  "columnEnableFilter" : 2,
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSGRIDS/InternalFunc.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "内置功能",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdegrids/InternalFunc",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "grid_uagridcolumn1_uc5ae11d_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_编辑操作"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "grid_uagridcolumn1_u53f6c0f_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_删除操作"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "表格界面_编辑操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "grid"
  }, {
    "name" : "表格界面_删除操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "grid"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "grid",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_grid",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书名称",
      "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1983",
      "name" : "属性逻辑名称（DEF.LNAME.*）[IBIZBOOKNAME]",
      "rTMOSFilePath" : "pslanguageres/Auto1983",
      "refFlag" : true
    },
    "caption" : "图书名称",
    "codeName" : "ibizbookname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizbookname",
    "excelCaption" : "图书名称",
    "mOSFilePath" : "psdegridcols/ibizbookname",
    "name" : "ibizbookname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    },
    "rTMOSFilePath" : "psdegridcols/ibizbookname",
    "width" : 280,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书作者",
      "lanResTag" : "DEF.LNAME.AUTHOR",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto2038",
      "name" : "属性逻辑名称（DEF.LNAME.*）[AUTHOR]",
      "rTMOSFilePath" : "pslanguageres/Auto2038",
      "refFlag" : true
    },
    "caption" : "图书作者",
    "codeName" : "author",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "author",
    "excelCaption" : "图书作者",
    "mOSFilePath" : "psdegridcols/author",
    "name" : "author",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    },
    "rTMOSFilePath" : "psdegridcols/author",
    "width" : 280,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "CENTER",
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书类型",
      "lanResTag" : "DEF.LNAME.TYPE",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto2088",
      "name" : "属性逻辑名称（DEF.LNAME.*）[TYPE]",
      "rTMOSFilePath" : "pslanguageres/Auto2088",
      "refFlag" : true
    },
    "caption" : "图书类型",
    "codeName" : "type",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "type",
    "excelCaption" : "图书类型",
    "mOSFilePath" : "psdegridcols/type",
    "name" : "type",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
    },
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    },
    "rTMOSFilePath" : "psdegridcols/type",
    "width" : 280,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书出版社",
      "lanResTag" : "DEF.LNAME.PRESS",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1827",
      "name" : "属性逻辑名称（DEF.LNAME.*）[PRESS]",
      "rTMOSFilePath" : "pslanguageres/Auto1827",
      "refFlag" : true
    },
    "caption" : "图书出版社",
    "codeName" : "press",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "press",
    "excelCaption" : "图书出版社",
    "mOSFilePath" : "psdegridcols/press",
    "name" : "press",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "PRESS",
      "codeName" : "Press"
    },
    "rTMOSFilePath" : "psdegridcols/press",
    "width" : 280,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "CENTER",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书价格",
      "lanResTag" : "DEF.LNAME.PRICE",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1925",
      "name" : "属性逻辑名称（DEF.LNAME.*）[PRICE]",
      "rTMOSFilePath" : "pslanguageres/Auto1925",
      "refFlag" : true
    },
    "caption" : "图书价格",
    "codeName" : "price",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "price",
    "excelCaption" : "图书价格",
    "mOSFilePath" : "psdegridcols/price",
    "name" : "price",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "PRICE",
      "codeName" : "Price"
    },
    "rTMOSFilePath" : "psdegridcols/price",
    "width" : 100,
    "widthUnit" : "STAR",
    "enableSort" : true
  }, {
    "align" : "CENTER",
    "getCapPSLanguageRes" : {
      "defaultContent" : "操作",
      "lanResTag" : "CONTROL.DEGRID.IBIZBOOK.INTERNALFUNC.UAGRIDCOLUMN.UAGRIDCOLUMN1",
      "lanResType" : "CONTROL",
      "mOSFilePath" : "pslanguageres/Auto1915",
      "name" : "控件文本（CONTROL.*）[DEGRID.IBIZBOOK.INTERNALFUNC.UAGRIDCOLUMN.UAGRIDCOLUMN1]",
      "rTMOSFilePath" : "pslanguageres/Auto1915",
      "refFlag" : true
    },
    "caption" : "操作",
    "codeName" : "uagridcolumn1",
    "columnType" : "UAGRIDCOLUMN",
    "mOSFilePath" : "psdegridcols/uagridcolumn1",
    "name" : "uagridcolumn1",
    "noPrivDisplayMode" : 1,
    "getPSDEUIActionGroup" : {
      "codeName" : "gridActionColumn",
      "mOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuagroups/gridActionColumn",
      "name" : "表格操作列界面行为组",
      "getPSUIActionGroupDetails" : [ {
        "detailType" : "DEUIACTION",
        "name" : "uc5ae11d",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto1585",
            "name" : "工具栏按钮文本[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto1585",
            "refFlag" : true
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto834",
            "name" : "工具栏按钮提示[*.EDIT]",
            "rTMOSFilePath" : "pslanguageres/Auto834",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "detailType" : "DEUIACTION",
        "name" : "u53f6c0f",
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TEXT.*.REMOVE",
            "lanResType" : "TBB.TEXT",
            "mOSFilePath" : "pslanguageres/Auto998",
            "name" : "工具栏按钮文本[*.REMOVE]",
            "rTMOSFilePath" : "pslanguageres/Auto998",
            "refFlag" : true
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
            "lanResType" : "TBB.TOOLTIP",
            "mOSFilePath" : "pslanguageres/Auto1782",
            "name" : "工具栏按钮提示[*.REMOVE]",
            "rTMOSFilePath" : "pslanguageres/Auto1782",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ],
      "rTMOSFilePath" : "pssysapps/Web/psappdataentities/IBIZBOOK/psappdeuagroups/gridActionColumn",
      "uniqueTag" : "IBIZBOOK__gridActionColumn"
    },
    "rTMOSFilePath" : "psdegridcols/uagridcolumn1",
    "width" : 200,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "defaultContent" : "借阅人2",
      "lanResTag" : "DEF.LNAME.BORROWER2",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1805",
      "name" : "属性逻辑名称（DEF.LNAME.*）[BORROWER2]",
      "rTMOSFilePath" : "pslanguageres/Auto1805",
      "refFlag" : true
    },
    "caption" : "借阅人2",
    "codeName" : "borrower2",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "borrower2",
    "excelCaption" : "借阅人2",
    "mOSFilePath" : "psdegridcols/borrower2",
    "name" : "borrower2",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "BORROWER2",
      "codeName" : "Borrower2"
    },
    "rTMOSFilePath" : "psdegridcols/borrower2",
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : true,
    "hideDefault" : true
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "ibizbookname",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "author",
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    }
  }, {
    "dataType" : 25,
    "name" : "type",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "dataType" : 25,
    "name" : "press",
    "getPSAppDEField" : {
      "name" : "PRESS",
      "codeName" : "Press"
    }
  }, {
    "dataType" : 7,
    "name" : "price",
    "getPSAppDEField" : {
      "name" : "PRICE",
      "codeName" : "Price"
    }
  }, {
    "dataType" : 25,
    "name" : "borrower2",
    "getPSAppDEField" : {
      "name" : "BORROWER2",
      "codeName" : "Borrower2"
    }
  }, {
    "dataType" : 25,
    "name" : "borrower",
    "getPSAppDEField" : {
      "name" : "BORROWER",
      "codeName" : "Borrower"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizbookid",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "图书标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "mOSFilePath" : "psdegridcols/srfkey",
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "rTMOSFilePath" : "psdegridcols/srfkey",
    "allowEmpty" : true
  } ],
  "pagingSize" : 10,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKInternalFuncGridView/psappviewctrls/grid",
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : true,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "cae6b1e19784a74c6a947fd280ec9739",
  "modeltype" : "PSDEGRID"
}